Index: code/branches/presentation3/src/modules/pickup/DroppedPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/DroppedPickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/DroppedPickup.cc	(revision 7127)
@@ -41,7 +41,7 @@
 namespace orxonox
 {
-    
+
     CreateFactory(DroppedPickup);
-    
+
     /**
     @brief
@@ -51,5 +51,5 @@
     {
         RegisterObject(DroppedPickup);
-        
+
     }
 
@@ -67,10 +67,10 @@
     */
     DroppedPickup::DroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance) : PickupSpawner(creator, pickup, triggerDistance, 5, 1)
-    {   
+    {
         RegisterObject(DroppedPickup);
 
         this->setPosition(carrier->getCarrierPosition());
         this->setActive(false);
-        
+
         //TODO: Do more elegantly.
         this->startRespawnTimer();
Index: code/branches/presentation3/src/modules/pickup/DroppedPickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/DroppedPickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/DroppedPickup.h	(revision 7127)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    
+
     /**
     @brief
Index: code/branches/presentation3/src/modules/pickup/Pickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/Pickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/Pickup.h	(revision 7127)
@@ -165,5 +165,5 @@
         private:
             void initialize(void); //!< Initializes the member variables.
-            
+
             //TODO: Problems, when there are more Timers needed? Solutions?
             Timer durationTimer_; //!< Timer at the disposal of each Class implementing Pickup.
Index: code/branches/presentation3/src/modules/pickup/PickupCollection.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupCollection.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupCollection.cc	(revision 7127)
@@ -42,5 +42,5 @@
 namespace orxonox
 {
- 
+
     CreateFactory(PickupCollection);
 
@@ -52,8 +52,8 @@
     {
         RegisterObject(PickupCollection);
-        
+
         this->pickupCollectionIdentifier_ = new PickupCollectionIdentifier(this);
     }
-    
+
     /**
     @brief
@@ -69,5 +69,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -77,10 +77,10 @@
     {
         SUPER(PickupCollection, XMLPort, xmlelement, mode);
-        
+
         XMLPortObject(PickupCollection, Pickupable, "pickupables", addPickupable, getPickupable, xmlelement, mode);
-        
+
         this->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -94,5 +94,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -103,5 +103,5 @@
     {
         SUPER(PickupCollection, changedUsed);
-        
+
         //! Change used for all Pickupables this PickupCollection consists of.
         for(std::vector<WeakPtr<Pickupable> >::iterator it = this->pickups_.begin(); it != this->pickups_.end(); it++)
@@ -110,5 +110,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -119,5 +119,5 @@
     {
         SUPER(PickupCollection, changedCarrier);
-        
+
         //! Change the PickupCarrier for all Pickupables this PickupCollection consists of.
         for(std::vector<WeakPtr<Pickupable> >::iterator it = this->pickups_.begin(); it != this->pickups_.end(); it++)
@@ -126,5 +126,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -135,5 +135,5 @@
     {
         SUPER(PickupCollection, changedPickedUp);
-        
+
         //! Change the pickedUp status for all Pickupables this PickupCollection consists of.
         for(std::vector<WeakPtr<Pickupable> >::iterator it = this->pickups_.begin(); it != this->pickups_.end(); it++)
@@ -142,5 +142,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -154,7 +154,7 @@
         if(item == NULL)
             item = new PickupCollection(this);
-        
+
         SUPER(PickupCollection, clone, item);
-        
+
         PickupCollection* pickup = dynamic_cast<PickupCollection*>(item);
         //! Clone all Pickupables this PickupCollection consist of.
@@ -167,5 +167,5 @@
         pickup->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -183,8 +183,8 @@
                 return false;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
@@ -198,5 +198,5 @@
         return this->pickupCollectionIdentifier_;
     }
-    
+
     /**
     @brief
@@ -211,10 +211,10 @@
         if(pickup == NULL)
             return false;
-        
+
         WeakPtr<Pickupable> ptr = pickup; //!< Create a weak pointer to be able to test in the constructor if the Pointer is still valid.
         this->pickups_.push_back(ptr);
         return true;
     }
-    
+
     /**
     @brief
@@ -229,5 +229,5 @@
         return this->pickups_[index].get();
     }
-        
+
     /**
     @brief
@@ -245,4 +245,4 @@
         return true;
     }
-    
+
 }
Index: code/branches/presentation3/src/modules/pickup/PickupCollection.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupCollection.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupCollection.h	(revision 7127)
@@ -53,10 +53,10 @@
     class _PickupExport PickupCollection : public Pickupable, public BaseObject
     {
-        
+
         public:
-            
+
             PickupCollection(BaseObject* creator); //!< Default Constructor.
             virtual ~PickupCollection(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates an instance of this Class through XML.
 
@@ -64,27 +64,27 @@
             virtual void changedCarrier(void); //!< Is called when the pickup has changed its PickupCarrier.
             virtual void changedPickedUp(void); //!< Is called when the pickup has transited from picked up to dropped or the other way around.
-            
+
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-            
+
             virtual bool isTarget(PickupCarrier* carrier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
-            
+
             virtual const PickupIdentifier* getPickupIdentifier(void); //!< Get the PickupIdentifier of this PickupCollection.
-            
+
             bool addPickupable(Pickupable* pickup); //!< Add the input Pickupable to list of Pickupables combined by this PickupCollection.
             const Pickupable* getPickupable(unsigned int index); //!< Get the Pickupable at the given index.
-            
+
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier for this pickup.
-            
+
             virtual bool createSpawner(void); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
-            
+
             PickupCollectionIdentifier* pickupCollectionIdentifier_; //!< The PickupCollectionIdentifier of this PickupCollection. Is used to distinguish different PickupCollections amongst themselves.
-            
+
         private:
-            
+
             std::vector<WeakPtr<Pickupable> > pickups_; //!< The list of the pointers of all the Pickupables this PickupCollection consists of. They are weak pointers to facilitate testing, whether the pointers are still valid.
-        
+
     };
-    
+
 }
 
Index: code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.cc	(revision 7127)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    
+
     /**
     @brief
@@ -47,5 +47,5 @@
         RegisterObject(PickupCollectionIdentifier);
     }
-    
+
     /**
     @brief
@@ -54,5 +54,5 @@
     PickupCollectionIdentifier::~PickupCollectionIdentifier()
     {
-        
+
     }
 
@@ -70,5 +70,5 @@
         PickupIdentifier* temp = const_cast<PickupIdentifier*>(identifier);
         const PickupCollectionIdentifier* collectionIdentifier = dynamic_cast<PickupCollectionIdentifier*>(temp);
-        
+
         //! If the input PickupIdentifier 'identifier' is no PickupCollectionIdentifier then just the two PickupIdentifiers are compared.
         if(collectionIdentifier == NULL)
@@ -76,14 +76,14 @@
             return this->PickupIdentifier::compare(identifier);
         }
-        
+
         //! If the number of Pickupables each of the two PickupCollectionIdentifiers contain differ, the one with less is considered smaller.
         if(this->identifiers_.size() != collectionIdentifier->identifiers_.size())
             return this->identifiers_.size()-collectionIdentifier->identifiers_.size();
-        
+
         //! Compare the Pickupables of the two PickupCollectionIdentifiers one after the other. the one with the first 'smaller' one is considered smaller.
         std::set<const PickupIdentifier*, PickupIdentifierCompare>::const_iterator it2 = collectionIdentifier->identifiers_.begin();
         for(std::set<const PickupIdentifier*, PickupIdentifierCompare>::const_iterator it = this->identifiers_.begin(); it != this->identifiers_.end(); it++)
         {
-            
+
             if((*it)->compare(*it2) < 0)
                 return -1;
@@ -91,9 +91,9 @@
                 return 1;
         }
-        
+
         //! Means they are equal.
         return 0;
     }
-    
+
     /**
     @brief
@@ -106,5 +106,5 @@
         this->identifiers_.insert(identifier);
     }
-    
+
 }
 
Index: code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupCollectionIdentifier.h	(revision 7127)
@@ -54,18 +54,18 @@
     class _PickupExport PickupCollectionIdentifier : public PickupIdentifier
     {
-        
+
         public:
             PickupCollectionIdentifier(Pickupable* pickup); //!< Constructor.
             ~PickupCollectionIdentifier(); //!< Destructor.
-            
+
             virtual int compare(const PickupIdentifier* identifier) const; //!< Compares a PickupCollectionIdentifier with a PickupIdentifier.
-            
+
             void addPickup(const PickupIdentifier* identifier); //!< Add a Pickupable to the PickupCollectionIdentifier.
-            
+
         private:
             std::set<const PickupIdentifier*, PickupIdentifierCompare> identifiers_; //!< The set of PickupIdentifiers of the Pickupables the PickupCollection with this PickupCollectionIdentifier consists of, ordered by the rule set by PickupIdentifierCompare.
-            
+
     };
-    
+
 }
 
Index: code/branches/presentation3/src/modules/pickup/PickupManager.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupManager.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupManager.cc	(revision 7127)
@@ -51,9 +51,9 @@
     // Register tolua_open function when loading the library
     DeclareToluaInterface(Pickup);
-    
+
     ManageScopedSingleton(PickupManager, ScopeID::Root, false);
-    
+
     /*static*/ const std::string PickupManager::guiName_s = "PickupInventory";
-    
+
     /**
     @brief
@@ -69,8 +69,8 @@
         }
         this->defaultRepresentation_ = new PickupRepresentation();
-        
+
         COUT(3) << "PickupManager created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -82,10 +82,10 @@
         if(this->defaultRepresentation_ != NULL)
             this->defaultRepresentation_->destroy();
-        
+
         this->representations_.clear();
-        
+
         COUT(3) << "PickupManager destroyed." << std::endl;
     }
-    
+
     /**
     @brief
@@ -100,14 +100,14 @@
     */
     bool PickupManager::registerRepresentation(const PickupIdentifier* identifier, PickupRepresentation* representation)
-    {       
+    {
         if(identifier == NULL || representation == NULL || this->representations_.find(identifier) != this->representations_.end()) //!< If the Pickupable already has a Representation registered.
             return false;
-        
+
         this->representations_[identifier] = representation;
-        
+
         COUT(4) << "PickupRepresentation " << representation << " registered with the PickupManager." << std::endl;
         return true;
     }
-    
+
     /**
     @brief
@@ -121,18 +121,18 @@
     */
     bool PickupManager::unregisterRepresentation(const PickupIdentifier* identifier, PickupRepresentation* representation)
-    {       
+    {
         if(identifier == NULL || representation == NULL)
             return false;
-        
+
         std::map<const PickupIdentifier*, PickupRepresentation*, PickupIdentifierCompare>::iterator it = this->representations_.find(identifier);
         if(it == this->representations_.end()) //!< If the Pickupable is not registered in the first place.
             return false;
-        
+
         this->representations_.erase(it);
-        
+
         COUT(4) << "PickupRepresentation " << representation << " unregistered with the PickupManager." << std::endl;
         return true;
     }
-    
+
     /**
     @brief
@@ -151,5 +151,5 @@
             return this->defaultRepresentation_;
         }
-        
+
         return it->second;
     }
@@ -158,5 +158,5 @@
     {
         this->pickupsList_.clear();
-        
+
         PlayerInfo* player = GUIManager::getInstance().getPlayer(PickupManager::guiName_s);
         PickupCarrier* carrier = NULL;
@@ -221,5 +221,5 @@
         if(pickup == NULL || it == this->pickupsList_.end() || it->second.get() == NULL)
             return;
-        
+
         if(!pickup->isPickedUp())
             return;
@@ -229,4 +229,4 @@
             pickup->setUsed(use);
     }
-    
+
 }
Index: code/branches/presentation3/src/modules/pickup/PickupManager.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupManager.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupManager.h	(revision 7127)
@@ -60,15 +60,15 @@
     { // tolua_export
         friend class Singleton<PickupManager>;
-        
+
         public:
             PickupManager();
             virtual ~PickupManager();
-            
+
             static PickupManager& getInstance() { return Singleton<PickupManager>::getInstance(); } // tolua_export
-            
+
             bool registerRepresentation(const PickupIdentifier* identifier, PickupRepresentation* representation); //!< Registers a PickupRepresentation together with the PickupIdentifier of the Pickupable the PickupRepresentation represents.
             bool unregisterRepresentation(const PickupIdentifier* identifier, PickupRepresentation* representation); //!< Unegisters a PickupRepresentation together with the PickupIdentifier of the Pickupable the PickupRepresentation represents.
             PickupRepresentation* getRepresentation(const PickupIdentifier* identifier); //!< Get the PickupRepresentation representing the Pickupable with the input PickupIdentifier.
-            
+
             // tolua_begin
             int getNumPickups(void);
@@ -80,9 +80,9 @@
             bool isValidPickup(orxonox::Pickupable* pickup) { std::map<Pickupable*, WeakPtr<Pickupable> >::iterator it = this->pickupsList_.find(pickup); if(it == this->pickupsList_.end()) return false; return it->second.get() != NULL; }
             // tolua_end
-            
+
         private:
             static PickupManager* singletonPtr_s;
             static const std::string guiName_s;
-            
+
             PickupRepresentation* defaultRepresentation_; //!< The default PickupRepresentation.
             std::map<const PickupIdentifier*, PickupRepresentation*, PickupIdentifierCompare> representations_; //!< Map linking PickupIdentifiers (representing types if Pickupables) and PickupRepresentations.
@@ -92,7 +92,7 @@
 
             std::vector<PickupCarrier*>* getAllCarriers(PickupCarrier* carrier);
-        
+
     }; // tolua_export
-    
+
 } // tolua_export
 
Index: code/branches/presentation3/src/modules/pickup/PickupPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupPrereqs.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupPrereqs.h	(revision 7127)
@@ -65,5 +65,5 @@
 namespace orxonox
 {
-    
+
     class DroppedPickup;
     class Pickup;
Index: code/branches/presentation3/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupRepresentation.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupRepresentation.cc	(revision 7127)
@@ -41,7 +41,7 @@
 namespace orxonox
 {
-    
+
     CreateFactory(PickupRepresentation);
-    
+
     /**
     @brief
@@ -52,8 +52,8 @@
     {
         RegisterObject(PickupRepresentation);
-        
+
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -63,8 +63,8 @@
     {
         RegisterObject(PickupRepresentation);
-        
+
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -75,9 +75,9 @@
         if(this->spawnerRepresentation_ != NULL)
             this->spawnerRepresentation_->destroy();
-        
+
         if(this->pickup_ != NULL)
             PickupManager::getInstance().unregisterRepresentation(this->pickup_->getPickupIdentifier(), this);
     }
-    
+
     /**
     @brief
@@ -91,5 +91,5 @@
         this->inventoryRepresentation_ = "Default";
     }
-    
+
     /**
     @brief
@@ -99,5 +99,5 @@
     {
         SUPER(PickupRepresentation, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(PickupRepresentation, "pickupName", setPickupName, getPickupName, xmlelement, mode);
         XMLPortParam(PickupRepresentation, "pickupDescription", setPickupDescription, getPickupDescription, xmlelement, mode);
@@ -106,13 +106,13 @@
         XMLPortObject(PickupRepresentation, Pickupable, "pickup", setPickup, getPickup, xmlelement, mode);
         XMLPortObject(PickupRepresentation, StaticEntity, "spawner-representation", setSpawnerRepresentation, getSpawnerRepresentationIndex, xmlelement, mode);
-        
+
         PickupManager::getInstance().registerRepresentation(this->pickup_->getPickupIdentifier(), this); //!< Registers the PickupRepresentation with the PickupManager through the PickupIdentifier of the Pickupable it represents.
-        
+
         if(this->spawnerRepresentation_ != NULL)
             this->spawnerRepresentation_->setVisible(false);
-        
+
         COUT(4) << "PickupRepresentation created: name: '" << this->name_ << "', description: '" << this->description_ << "', spawnerTemplate: '" << this->spawnerTemplate_ << "'." << std::endl;
     }
-    
+
     /**
     @brief
@@ -136,14 +136,14 @@
             this->addTemplate(this->spawnerTemplate_);
         }
-        
+
         StaticEntity* representation = this->spawnerRepresentation_;
         representation->setVisible(true);
-        
+
         this->addTemplate(this->spawnerTemplate_);
         this->spawnerRepresentation_->setVisible(false);
-        
+
         return representation;
     }
-    
+
     /**
     @brief
@@ -171,4 +171,4 @@
         return representation;
     }
-    
+
 }
Index: code/branches/presentation3/src/modules/pickup/PickupRepresentation.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupRepresentation.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupRepresentation.h	(revision 7127)
@@ -56,12 +56,12 @@
         : public BaseObject
     { // tolua_export
-        
+
         public:
             PickupRepresentation(); //!< Constructor
             PickupRepresentation(BaseObject* creator); //!< Default constructor.
             virtual ~PickupRepresentation(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            
+
             /**
             @brief Set the name of the Pickupable represented by this PickupRepresentation.
@@ -102,5 +102,5 @@
             inline void setPickup(Pickupable* pickup)
                 { this->pickup_ = pickup; }
-                
+
             /**
             @brief Get the name of the Pickupable represented by this PickupRepresentation.
@@ -138,11 +138,11 @@
             inline const Pickupable* getPickup(unsigned int index)
                 { if(index == 0) return this->pickup_; return NULL; }
-                
+
             StaticEntity* getSpawnerRepresentation(PickupSpawner* spawner); //!< Get a spawnerRepresentation for a specific PickupSpawner.
-        
+
         private:
             void initialize(void); //!< Initializes the member variables of this PickupRepresentation.
             StaticEntity* getDefaultSpawnerRepresentation(PickupSpawner* spawner); //!< Get the default spawnerRepresentation for a specific PickupSpawner.
-            
+
             std::string name_; //!< The name of the Pickupable represented by this PickupRepresentation.
             std::string description_; //!< The description of the Pickupable represented by this PickupRepresentation.
@@ -150,10 +150,10 @@
             StaticEntity* spawnerRepresentation_; //!< The spawnerRepresentation of this PickupRepresentation.
             std::string inventoryRepresentation_; //!< The name of an image representing the pickup in the PickupInventory. TODO: Exact format and placement of image?
-            
+
             Pickupable* pickup_; //!< The Pickupable that is represented by this PickupRepresentation.
-            
+
     }; // tolua_export
 
 } // tolua_export
-    
+
 #endif // _PickupRepresentation_H__
Index: code/branches/presentation3/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupSpawner.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupSpawner.cc	(revision 7127)
@@ -55,5 +55,5 @@
     {
         RegisterObject(PickupSpawner);
-        
+
         this->initialize();
     }
@@ -76,7 +76,7 @@
     {
         RegisterObject(PickupSpawner);
-        
+
         this->initialize();
-  
+
         this->pickup_ = pickup;
 
@@ -84,5 +84,5 @@
         this->respawnTime_ = respawnTime;
         this->setMaxSpawnedItems(maxSpawnedItems);
-        
+
         if(this->pickup_ == NULL)
         {
@@ -132,9 +132,9 @@
 
         XMLPortObject(PickupSpawner, Pickupable, "pickup", setPickupable, getPickupable, xmlelement, mode);
-        
+
         XMLPortParam(PickupSpawner, "triggerDistance", setTriggerDistance, getTriggerDistance, xmlelement, mode);
         XMLPortParam(PickupSpawner, "respawnTime", setRespawnTime, getRespawnTime, xmlelement, mode);
         XMLPortParam(PickupSpawner, "maxSpawnedItems", setMaxSpawnedItems, getMaxSpawnedItems, xmlelement, mode);
-        
+
         if(this->pickup_ == NULL)
         {
@@ -150,5 +150,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -161,5 +161,5 @@
         this->setVisible(this->isActive());
     }
-     
+
     /**
     @brief
@@ -172,10 +172,10 @@
     {
         SUPER(PickupSpawner, tick, dt);
-        
+
         //! If the PickupSpawner is active.
         if (this->isActive())
         {
             SmartPtr<PickupSpawner> temp = this; // create a smart pointer to keep the PickupSpawner alive until we iterated through all Pawns (in case a Pawn takes the last pickup)
-            
+
             //! Iterate trough all Pawns.
             for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it)
@@ -191,5 +191,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -203,5 +203,5 @@
         this->spawnsRemaining_ = items;
     }
-    
+
     /**
     @brief
@@ -230,5 +230,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -239,5 +239,5 @@
         this->respawnTimer_.setTimer(this->respawnTime_, false, createExecutor(createFunctor(&PickupSpawner::respawnTimerCallback, this)));
     }
-    
+
     /**
     @brief
@@ -258,8 +258,8 @@
             return;
         }
-        
+
         this->pickup_ = pickup;
     }
-    
+
     /**
     @brief
@@ -285,5 +285,5 @@
         {
             COUT(4) << "PickupSpawner (&" << this << ") triggered and active." << std::endl;
-            
+
             PickupCarrier* carrier = dynamic_cast<PickupCarrier*>(pawn);
             if(carrier == NULL)
@@ -292,5 +292,5 @@
                 return;
             }
-            
+
             if(!carrier->isTarget(this->pickup_))
             {
@@ -298,8 +298,8 @@
                 return;
             }
-            
+
             PickupCarrier* target = carrier->getTarget(this->pickup_);
             Pickupable* pickup = this->getPickup();
-            
+
             if(target != NULL && pickup != NULL)
             {
@@ -317,5 +317,5 @@
                 if(target == NULL)
                     COUT(1) << "PickupSpawner (&" << this << "): Pickupable has no target." << std::endl;
-                
+
                 if(pickup == NULL)
                 {
@@ -335,5 +335,5 @@
     @return
         The Pickupable created.
-    */    
+    */
     Pickupable* PickupSpawner::getPickup(void)
     {
@@ -343,5 +343,5 @@
             return NULL;
         }
-        
+
         Pickupable* pickup = this->pickup_->clone();
         return pickup;
Index: code/branches/presentation3/src/modules/pickup/PickupSpawner.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupSpawner.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/PickupSpawner.h	(revision 7127)
@@ -101,17 +101,17 @@
         protected:
             void decrementSpawnsRemaining(void); //!< Decrements the number of remaining spawns.
-                        
+
             void startRespawnTimer(void);
-            
+
             virtual Pickupable* getPickup(void); //!< Creates a new Pickupable.
-            
+
             void setPickupable(Pickupable* pickup); //!< Sets a Pickupable for the PickupSpawner to spawn.
             const Pickupable* getPickupable(void); //!< Get the Pickupable that is spawned by this PickupSpawner.
-            
+
             Pickupable* pickup_; //!< The pickup to be spawned.
 
         private:
             void initialize(void);
-            
+
             void trigger(Pawn* pawn); //!< Method called when a Pawn is close enough.
             void respawnTimerCallback(); //!< Method called when the timer runs out.
Index: code/branches/presentation3/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/DronePickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/DronePickup.cc	(revision 7127)
@@ -49,5 +49,5 @@
 
     CreateFactory(DronePickup);
-    
+
     /**
     @brief
@@ -57,8 +57,8 @@
     {
         RegisterObject(DronePickup);
-        
+
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -67,9 +67,9 @@
     DronePickup::~DronePickup()
     {
-        
+
     }
-    
+
     /**
-    @brief 
+    @brief
         Initializes the member variables.
     */
@@ -80,5 +80,5 @@
         this->droneTemplate_ = "";
     }
-    
+
     /**
     @brief
@@ -91,5 +91,5 @@
         this->pickupIdentifier_->addParameter(type, val);
     }
-    
+
     /**
     @brief
@@ -100,12 +100,12 @@
         SUPER(DronePickup, XMLPort, xmlelement, mode);
         XMLPortParam(DronePickup, "droneTemplate", setDroneTemplate, getDroneTemplate, xmlelement, mode);
-        
+
         this->initializeIdentifier();
     }
-    
+
     void DronePickup::setDroneTemplate(std::string templatename){
         droneTemplate_ = templatename;
-    } 
-    
+    }
+
     const std::string& DronePickup::getDroneTemplate() const
     {
@@ -120,9 +120,9 @@
     {
         SUPER(DronePickup, changedUsed);
-        
+
         //! If the pickup is not picked up nothing must be done.
         if(!this->isPickedUp())
             return;
-        
+
         //! If the pickup has transited to used.
         if(this->isUsed())
@@ -132,5 +132,5 @@
                 if(pawn == NULL) //!< If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->destroy();
-                
+
                 //Attach to pawn
                 Drone* drone = new Drone(pawn->getCreator()); // this is neccessary because the projectiles fired need a valid creator for the particlespawner (when colliding against something)
@@ -143,8 +143,8 @@
                     droneController->setOwner(pawn);
                 }
-                
+
                 Vector3 spawnPosition = pawn->getWorldPosition() + Vector3(30,0,-30);
                 drone->setPosition(spawnPosition);
-                
+
                 //! The pickup has been used up.
                 this->setUsed(false);
@@ -159,5 +159,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -170,13 +170,13 @@
         PickupCarrier* carrier = this->getCarrier();
         Pawn* pawn = dynamic_cast<Pawn*>(carrier);
-        
+
         if(pawn == NULL)
         {
             COUT(1) << "Invalid PickupCarrier in DronePickup." << std::endl;
         }
-        
+
         return pawn;
     }
-    
+
     /**
     @brief
@@ -189,10 +189,10 @@
         if(item == NULL)
             item = new DronePickup(this);
-        
+
         SUPER(DronePickup, clone, item);
-        
+
         DronePickup* pickup = dynamic_cast<DronePickup*>(item);
         pickup->setDroneTemplate(this->getDroneTemplate());
-        
+
         pickup->initializeIdentifier();
     }
Index: code/branches/presentation3/src/modules/pickup/items/DronePickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/DronePickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/DronePickup.h	(revision 7127)
@@ -47,31 +47,31 @@
 
 namespace orxonox {
-    
+
 
     class _PickupExport DronePickup : public Pickup, public Tickable
     {
         public:
-        
+
             DronePickup(BaseObject* creator); //!< Constructor.
             virtual ~DronePickup(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a DronePickup object through XML.
-            
+
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
 
             void setDroneTemplate(std::string templatename);
-            const std::string& getDroneTemplate() const; 
-            
+            const std::string& getDroneTemplate() const;
+
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-        
+
         private:
             void initialize(void); //!< Initializes the member variables.
             std::string droneTemplate_;
             Pawn* carrierToPawnHelper(void); //!< Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
-            
 
-        
+
+
     };
 }
Index: code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc	(revision 7127)
@@ -45,11 +45,11 @@
 namespace orxonox
 {
-    
+
     /*static*/ const std::string HealthPickup::healthTypeLimited_s = "limited";
     /*static*/ const std::string HealthPickup::healthTypeTemporary_s = "temporary";
     /*static*/ const std::string HealthPickup::healthTypePermanent_s = "permanent";
-    
+
     CreateFactory(HealthPickup);
-    
+
     /**
     @brief
@@ -59,8 +59,8 @@
     {
         RegisterObject(HealthPickup);
-        
+
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -69,13 +69,13 @@
     HealthPickup::~HealthPickup()
     {
-        
-    }
-    
-    /**
-    @brief 
+
+    }
+
+    /**
+    @brief
         Initializes the member variables.
     */
     void HealthPickup::initialize(void)
-    {        
+    {
         this->health_ = 0;
         this->healthRate_ = 0;
@@ -83,8 +83,8 @@
         this->maxHealthSave_ = 0;
         this->maxHealthOverwrite_ = 0;
-        
+
         this->addTarget(ClassIdentifier<Pawn>::getIdentifier());
     }
-    
+
     /**
     @brief
@@ -98,9 +98,9 @@
         std::string val1 = stream.str();
         this->pickupIdentifier_->addParameter(type1, val1);
-        
+
         std::string val2 = this->getHealthType();
         std::string type2 = "healthType";
         this->pickupIdentifier_->addParameter(type2, val2);
-        
+
         stream.clear();
         stream << this->getHealthRate();
@@ -109,5 +109,5 @@
         this->pickupIdentifier_->addParameter(type3, val3);
     }
-    
+
     /**
     @brief
@@ -117,15 +117,15 @@
     {
         SUPER(HealthPickup, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(HealthPickup, "health", setHealth, getHealth, xmlelement, mode);
         XMLPortParam(HealthPickup, "healthRate", setHealthRate, getHealthRate, xmlelement, mode);
         XMLPortParam(HealthPickup, "healthType", setHealthType, getHealthType, xmlelement, mode);
-        
+
         if(!this->isContinuous())
             this->healthRate_ = 0.0;
-        
+
         this->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -138,5 +138,5 @@
     {
         SUPER(HealthPickup, tick, dt);
-        
+
         if(this->isContinuous() && this->isUsed())
         {
@@ -144,5 +144,5 @@
             if(pawn == NULL) //!< If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                 this->destroy();
-            
+
             //! Calculate the health that is added this tick.
             float health = dt*this->getHealthRate();
@@ -152,5 +152,5 @@
             float fullHealth = pawn->getHealth() + health;
             this->setHealth(this->getHealth()-health);
-                    
+
             switch(this->getHealthTypeDirect())
             {
@@ -173,5 +173,5 @@
                     COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
             }
-            
+
             //! If all health has been transfered.
             if(this->getHealth() == 0)
@@ -181,5 +181,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -193,5 +193,5 @@
         if(!this->isPickedUp())
             return;
-        
+
         //! If the pickup has transited to used.
         if(this->isUsed())
@@ -202,5 +202,5 @@
                 if(pawn == NULL) //!< If the PickupCarrier is no Pawn, then this pickup is useless and therefore is destroyed.
                     this->destroy();
-                
+
                 float health = 0;
                 switch(this->getHealthTypeDirect())
@@ -226,5 +226,5 @@
                         COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
                 }
-                
+
                 //! The pickup has been used up.
                 this->setUsed(false);
@@ -237,5 +237,5 @@
                 PickupCarrier* carrier = this->getCarrier();
                 Pawn* pawn = dynamic_cast<Pawn*>(carrier);
-                
+
                 if(pawn == NULL)
                 {
@@ -244,5 +244,5 @@
                     return;
                 }
-                
+
                 if(pawn->getMaxHealth() == this->maxHealthOverwrite_)
                 {
@@ -252,5 +252,5 @@
                 }
             }
-            
+
             //! If either the pickup can only be used once or it is continuous and used up, it is destroyed upon setting it to unused.
             if(this->isOnce() || (this->isContinuous() && this->getHealth() == 0))
@@ -260,5 +260,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -271,13 +271,13 @@
         PickupCarrier* carrier = this->getCarrier();
         Pawn* pawn = dynamic_cast<Pawn*>(carrier);
-        
+
         if(pawn == NULL)
         {
             COUT(1) << "Invalid PickupCarrier in HealthPickup." << std::endl;
         }
-        
+
         return pawn;
     }
-    
+
     /**
     @brief
@@ -297,8 +297,8 @@
         pickup->setHealthRate(this->getHealthRate());
         pickup->setHealthTypeDirect(this->getHealthTypeDirect());
-        
+
         pickup->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -322,5 +322,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -341,5 +341,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -356,8 +356,8 @@
         else
         {
-            COUT(1) << "Invalid healthSpeed in HealthPickup." << std::endl; 
-        }
-    }
-    
+            COUT(1) << "Invalid healthSpeed in HealthPickup." << std::endl;
+        }
+    }
+
     /**
     @brief
Index: code/branches/presentation3/src/modules/pickup/items/HealthPickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/HealthPickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/HealthPickup.h	(revision 7127)
@@ -45,5 +45,5 @@
 
 namespace orxonox {
-    
+
     //! Enum for the type of the HealthPickup
     namespace pickupHealthType
@@ -56,5 +56,5 @@
         };
     }
-    
+
     /**
     @brief
@@ -71,14 +71,14 @@
     {
         public:
-        
+
             HealthPickup(BaseObject* creator); //!< Constructor.
             virtual ~HealthPickup(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a HealthPickup object through XML.
             virtual void tick(float dt); //!< Is called every tick.
-            
+
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-            
+
             /**
             @brief Get the health that is transfered to the Pawn upon usage of this pickup.
@@ -93,13 +93,13 @@
             inline float getHealthRate(void)
                 { return this->healthRate_; }
-                
+
             /**
             @brief Get the type of HealthPickup, this pickup is.
-            @return Returns the health type as an enum. 
+            @return Returns the health type as an enum.
             */
             inline pickupHealthType::Value getHealthTypeDirect(void)
                 { return this->healthType_; }
             const std::string& getHealthType(void); //!< Get the health type of this pickup.
-            
+
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
@@ -107,5 +107,5 @@
             void setHealth(float health); //!< Sets the health.
             void setHealthRate(float speed); //!< Set the rate at which health is transferred if the pickup is continuous.
-            
+
             /**
             @brief Set the health type of this pickup.
@@ -115,9 +115,9 @@
                 { this->healthType_ = type; }
             void setHealthType(std::string type); //!< Set the type of the HealthPickup.
-        
+
         private:
             void initialize(void); //!< Initializes the member variables.
             Pawn* carrierToPawnHelper(void); //!< Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
-            
+
             float health_; //!< The health that is transferred to the Pawn.
             float healthRate_; //!< The rate at which the health is transferred.
@@ -125,10 +125,10 @@
             float maxHealthOverwrite_; //!< Helper to remember with which value we overwrote the maxHealh, to detect if someone else changed it as well.
             pickupHealthType::Value healthType_; //!< The type of the HealthPickup.
-            
+
             //! Strings for the health types.
             static const std::string healthTypeLimited_s;
             static const std::string healthTypeTemporary_s;
             static const std::string healthTypePermanent_s;
-        
+
     };
 }
Index: code/branches/presentation3/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/InvisiblePickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/InvisiblePickup.h	(revision 7127)
@@ -44,5 +44,5 @@
 
 namespace orxonox {
-        
+
     /**
     @brief
@@ -57,5 +57,5 @@
     {
         public:
-        
+
             InvisiblePickup(BaseObject* creator); //!< Constructor.
             virtual ~InvisiblePickup(); //!< Destructor.
@@ -63,5 +63,5 @@
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-            
+
             /**
             @brief Checks whether the Pawn is invisible.
@@ -72,5 +72,5 @@
             inline float getDuration()
                 { return this->duration_; }
- 
+
         protected:
             bool setInvisible(bool invisibility); //!< Set the Pawn to be invisible or visible again.
@@ -78,5 +78,5 @@
             void initializeIdentifier(void);
             virtual void pickupTimerCallback(void); //!< Function that gets called when the timer ends.
-        
+
         private:
             void initialize(void); //!< Initializes the member variables.
Index: code/branches/presentation3/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/MetaPickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/MetaPickup.cc	(revision 7127)
@@ -40,12 +40,12 @@
 
 namespace orxonox {
- 
+
     CreateFactory(MetaPickup);
-    
+
     //! Setting the static variables to their values.
     /*static*/ const std::string MetaPickup::metaTypeNone_s = "none";
     /*static*/ const std::string MetaPickup::metaTypeUse_s = "use";
     /*static*/ const std::string MetaPickup::metaTypeDrop_s = "drop";
-    
+
     /**
     @brief
@@ -55,8 +55,8 @@
     {
         RegisterObject(MetaPickup);
-        
+
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -65,7 +65,7 @@
     MetaPickup::~MetaPickup()
     {
-        
-    }
-    
+
+    }
+
     /**
     @brief
@@ -75,10 +75,10 @@
     {
         this->addTarget(ClassIdentifier<PickupCarrier>::getIdentifier());
-        
+
         this->setActivationTypeDirect(pickupActivationType::immediate);
         this->setDurationTypeDirect(pickupDurationType::once);
         this->metaType_ = pickupMetaType::none;
     }
-    
+
     /**
     @brief
@@ -91,5 +91,5 @@
         this->pickupIdentifier_->addParameter(type, val);
     }
-    
+
     /**
     @brief
@@ -99,10 +99,10 @@
     {
         SUPER(MetaPickup, XMLPort, xmlelement, mode);
-        
+
         XMLPortParam(MetaPickup, "metaType", setMetaType, getMetaType, xmlelement, mode);
-        
+
         this->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -113,5 +113,5 @@
     {
         SUPER(MetaPickup, changedUsed);
-        
+
         //! If the MetaPickup transited to used.
         if(this->isUsed())
@@ -144,5 +144,5 @@
         }
     }
-        
+
     /**
     @brief
@@ -155,13 +155,13 @@
         if(item == NULL)
             item = new MetaPickup(this);
-        
+
         SUPER(MetaPickup, clone, item);
-        
+
         MetaPickup* pickup = dynamic_cast<MetaPickup*>(item);
         pickup->setMetaTypeDirect(this->getMetaTypeDirect());
-        
+
         pickup->initializeIdentifier();
     }
-    
+
     /**
     @brief
@@ -184,5 +184,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -206,4 +206,4 @@
         }
     }
-    
+
 }
Index: code/branches/presentation3/src/modules/pickup/items/MetaPickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/MetaPickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/MetaPickup.h	(revision 7127)
@@ -51,5 +51,5 @@
         };
     }
-    
+
     /**
     @brief
@@ -60,14 +60,14 @@
     class _PickupExport MetaPickup : public Pickup
     {
-        
+
         public:
             MetaPickup(BaseObject* creator); //!< Constructor. Registers and initializes the object.
             virtual ~MetaPickup(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a MetaPickup object through XML.
-            
+
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-            
+
             /**
             @brief Returns the meta type of the MetaPickup.
@@ -77,8 +77,8 @@
                 { return this->metaType_; }
             const std::string& getMetaType(void); //!< Get the meta type of this MetaPickup.
-            
+
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-            
+
             /**
             @brief Set the meta type of the MetaPickup.
@@ -88,16 +88,16 @@
                 { this->metaType_ =  type; }
             void setMetaType(const std::string& type); //!< Set the meta type of this MetaPickup.
-            
+
         private:
             void initialize(void); //!< Initializes the member variables.
-            
+
             pickupMetaType::Value metaType_; //!< The meta type of the MetaPickup, determines which actions are taken.
-            
+
             //! Static strings for the meta types.
             static const std::string metaTypeNone_s;
             static const std::string metaTypeUse_s;
             static const std::string metaTypeDrop_s;
-            
-        
+
+
     };
 
Index: code/branches/presentation3/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/ShieldPickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/ShieldPickup.cc	(revision 7127)
@@ -79,5 +79,5 @@
         PickupCarrier* carrier = this->getCarrier();
         Pawn* pawn = dynamic_cast<Pawn*>(carrier);
-        
+
         if(pawn == NULL)
         {
@@ -86,5 +86,5 @@
         return pawn;
     }
-    
+
     /**
     @brief
@@ -117,5 +117,5 @@
         std::string val2 = stream.str();
         this->pickupIdentifier_->addParameter(type2, val2);
-        
+
         stream.clear();
         stream << this->getShieldAbsorption();
@@ -269,5 +269,5 @@
 
     void ShieldPickup::pickupTimerCallback(void)
-    {       
+    {
         this->setUsed(false);
     }
Index: code/branches/presentation3/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/SpeedPickup.cc	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/SpeedPickup.cc	(revision 7127)
@@ -137,5 +137,5 @@
         if(engine == NULL) //!< If the PickupCarrier is no Engine, then this pickup is useless and therefore is destroyed.
             this->destroy();
-        
+
         //! If the pickup has transited to used.
         if(this->isUsed())
@@ -156,5 +156,5 @@
             engine->setSpeedAdd(0.0f);
             engine->setSpeedMultiply(1.0f);
-            
+
             if(this->isOnce())
             {
@@ -186,5 +186,5 @@
             COUT(1) << "Invalid PickupCarrier in SpeedPickup." << std::endl;
         }
-        
+
         return engine;
     }
@@ -269,5 +269,5 @@
 
     void SpeedPickup::pickupTimerCallback(void)
-    {       
+    {
         this->setUsed(false);
     }
Index: code/branches/presentation3/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/SpeedPickup.h	(revision 7112)
+++ code/branches/presentation3/src/modules/pickup/items/SpeedPickup.h	(revision 7127)
@@ -78,5 +78,5 @@
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-            
+
             virtual void pickupTimerCallback(void); //!< Function that gets called when timer ends.
 
